Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.webservice
Class CatalogWSImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.webservice.CatalogWSImpl

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public class CatalogWSImpl
extends SessionImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogWSImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`String` | `expressionSearch(String expression)` Returns product item information populated with category and ancestor information for a search expression for the first 100 results.
`String` | `expressionSearchRestricted(String expression, int numResults)` Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.
`String` | `expressionSearchSKU(String expression)` Returns product item information populated with category and ancestor information for a SKU search expression.
`String` | `expressionSearchSKURestricted(String expression, int numResults)` Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.
`String` | `getAllChildren(String categoryKey, boolean addAncestorInfo)` Returns an XML document of the first 100 categories and 100 product items under a given category.
`String` | `getAllChildrenRestricted(String categoryKey, boolean addAncestorInfo, int numResults)` Returns an XML document of all the categories and product items under a given category.
`String` | `getCategoryInfo(String productItemKey)` Returns ancestor information for all the categories a product item resides in.
`String` | `getRootChildren()` Returns an XML document of the first 100 categories and 100 product items under the root category.
`String` | `getRootChildrenRestricted(int numResults)` Returns an XML document of all the categories and product items under the root category.
`String` | `keywordSearch(String keyword)` Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.
`String` | `keywordSearchRestricted(String keywords, int numResults)` Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.
`void` | `setSessionContext(SessionContext ctx)` setSessionContext method.

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogWSImpl

    public CatalogWSImpl()

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `SessionBean`
  Overrides:
    `ejbActivate` in class `SessionImpl`
  Throws:
    `EJBException`

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `SessionImpl`
  Throws:
    `CreateException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `SessionBean`
  Overrides:
    `ejbPassivate` in class `SessionImpl`
  Throws:
    `EJBException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `SessionImpl`
  Throws:
    `CreateException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `SessionBean`
  Overrides:
    `ejbRemove` in class `SessionImpl`
  Throws:
    `EJBException`

### expressionSearch

    public String expressionSearch(String expression)
                            throws RemoteException

  Returns product item information populated with category and ancestor information for a search expression for the first 100 results.

  Parameters:
    `expression` - Search expression.
  Returns:
    XML string of all information.
  Throws:
    `RemoteException`

### expressionSearchRestricted

    public String expressionSearchRestricted(String expression,
                                             int numResults)
                                      throws RemoteException

  Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.

  Parameters:
    `expression` - Search expression.
    `numResults` - number of results to be returned.
  Returns:
    XML string of all information.
  Throws:
    `RemoteException`

### expressionSearchSKU

    public String expressionSearchSKU(String expression)
                               throws RemoteException

  Returns product item information populated with category and ancestor information for a SKU search expression.

  Parameters:
    `expression` - SKU Search expression.
  Returns:
    XML string of all information.
  Throws:
    `RemoteException`

### expressionSearchSKURestricted

    public String expressionSearchSKURestricted(String expression,
                                                int numResults)
                                         throws RemoteException

  Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.

  Parameters:
    `expression` - SKU Search expression.
    `numResults` - number of results to be returned.
  Returns:
    XML string of all information.
  Throws:
    `RemoteException`

### getAllChildren

    public String getAllChildren(String categoryKey,
                                 boolean addAncestorInfo)
                          throws RemoteException

  Returns an XML document of the first 100 categories and 100 product items under a given category. The category is identified by a string category key.

  Parameters:
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
  Returns:
    XML Document of categories and product items under categoryKey.
  Throws:
    `RemoteException`

### getAllChildrenRestricted

    public String getAllChildrenRestricted(String categoryKey,
                                           boolean addAncestorInfo,
                                           int numResults)
                                    throws RemoteException

  Returns an XML document of all the categories and product items under a given category. The category is identified by a string category key. This call restricts the number of results to a specified number of categories and product items.

  Parameters:
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
    `numResults` - number of results to be returned
  Returns:
    XML Document of categories and product items under categoryKey.
  Throws:
    `RemoteException`

### getCategoryInfo

    public String getCategoryInfo(String productItemKey)
                           throws RemoteException

  Returns ancestor information for all the categories a product item resides in.

  Parameters:
    `productItemKey` - String representation of product item key concerned.
  Returns:
    XML Document of category information.
  Throws:
    `RemoteException`

### getRootChildren

    public String getRootChildren()
                           throws RemoteException

  Returns an XML document of the first 100 categories and 100 product items under the root category.

  Returns:
    XML Document of categories and product items under categoryKey.
  Throws:
    `RemoteException`

### getRootChildrenRestricted

    public String getRootChildrenRestricted(int numResults)
                                     throws RemoteException

  Returns an XML document of all the categories and product items under the root category. Restricts the number of results to the first `numResults` categories and product items .

  Parameters:
    `numResults` - number of results to be returned.
  Returns:
    XML Document of categories and product items under categoryKey.
  Throws:
    `RemoteException`

### keywordSearch

    public String keywordSearch(String keyword)
                         throws RemoteException

  Returns product item information populated with category and ancestor information for a set of keywords for the first 100 results.

  Parameters:
    `keyword` - Search keyword(s).
  Returns:
    XML Document of all information.
  Throws:
    `RemoteException`

### keywordSearchRestricted

    public String keywordSearchRestricted(String keywords,
                                          int numResults)
                                   throws RemoteException

  Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.

  Parameters:
    `numResults` - number of results to be returned.
  Returns:
    XML Document of all information.
  Throws:
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `SessionBean`
  Overrides:
    `setSessionContext` in class `SessionImpl`
  Throws:
    `EJBException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved